MessageUI framework

Discussion in 'iPhone/iPad Programming' started by XcodeNewb, Jun 13, 2009.

  1. macrumors member

    Joined:
    Feb 6, 2009
    #1
    I am trying to use the new abilities to compose and send emails within an application using OS 3.0 and Xcode 3.1.3 GM seed.

    I try to add the MessageUI framework to the project but it keeps adding it from the iPhoneOS2.1.sdk folder and it will not reference the one for OS 3.0.

    I downloaded the sample project from apple called PostASong and it uses the new functionality and has the MessageUI framework attached and it references the one for OS 3.0. It runs fine in the simlator and works great. I cannot figure out why I cannot reference the same one.

    I have the import statement of:

    Code:
    #import <MessageUI/MessageUI.h>
    but it errors on that line saying it cannot find it.

    What in the world could I be doing wrong? This seems sooo easy!!
     
  2. macrumors 65816

    MacDonaldsd

    Joined:
    Sep 8, 2005
    Location:
    London , UK
    #2
    In the build settings make sure the Base SDK is 3.0.
     

Share This Page